SMM API v2 Documentation

Easily integrate WikiSMM into your own child panel, reseller panel, bot, or CRM. Standard compliant JSON REST protocol.

API Overview

HTTP Method
POST
API Protocol
Standard v2
Response Format
REST JSON
API Endpoint URL:
https://smm.wikifint.com/api/v2

1. Services List

POST

Returns the entire list of available active services with rates, min/max limits, and categories.

ParameterTypeDescription
keyStringYour personal API key from dashboard
actionStringMust be services
// Example Request: curl -X POST https://smm.wikifint.com/api/v2 \ -d "key=YOUR_API_KEY" \ -d "action=services" // Example Response (JSON): [ { "service": 1, "name": "Instagram Followers [Real Active - 30 Days Refill - Instant]", "type": "Default", "category": "Instagram Followers", "rate": "7.00", "min": 50, "max": 100000, "refill": true, "cancel": true } ]

2. Place an Order

POST

Submits a new order and instantly deducts the balance from your account.

ParameterTypeDescription
keyStringYour API key
actionStringMust be add
serviceIntegerService ID from services list
linkStringTarget URL or profile link
quantityIntegerDesired order quantity
// Example Request: curl -X POST https://smm.wikifint.com/api/v2 \ -d "key=YOUR_API_KEY" \ -d "action=add" \ -d "service=1" \ -d "link=https://instagram.com/wikifint" \ -d "quantity=1000" // Successful Response: { "order": 12845 } // Error Response: { "error": "Not enough funds on balance." }

3. Check Order Status

POST

Fetches current progress, start count, charge, and status for an order.

ParameterTypeDescription
keyStringYour API key
actionStringMust be status
orderIntegerOrder ID returned when placing order
// Example Request: curl -X POST https://smm.wikifint.com/api/v2 \ -d "key=YOUR_API_KEY" \ -d "action=status" \ -d "order=12845" // Example Response: { "charge": "7.00", "start_count": "1540", "status": "Completed", "remains": "0", "currency": "INR" }

4. Check Account Balance

POST

Check your available wallet balance.

ParameterTypeDescription
keyStringYour API key
actionStringMust be balance
// Example Request: curl -X POST https://smm.wikifint.com/api/v2 \ -d "key=YOUR_API_KEY" \ -d "action=balance" // Example Response: { "balance": "2450.00", "currency": "INR" }